import { marked } from "https://deno.land/x/marked@1.0.1/mod.ts";

export function MarkdownRenderer(props: { text: string | undefined }) {
  let text = props.text;
  if (text === undefined) {
    text = "";
  }
  const index = text.indexOf("\n---", 3);
  const c = text.slice(index + 4, text.length);
  return (
    <div
      class="markdown-body"
      dangerouslySetInnerHTML={{ __html: marked.parse(c) }}
    />
  );
}

export default MarkdownRenderer;
